Page MenuHomePhabricator

Update Citoid to service-template-node v0.5.4
Closed, ResolvedPublic0 Story Points

Description

The new version of service-template-node has been released, so Citoid should update.

The newest version features mostly code-style updates:

  • Upgraded to ES6 syntax
  • Started enforcing the code style with ESLint
  • Updated dependency versions

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterUpdate to service-template-node v0.5.4

Event Timeline

Pchelolo created this task.Nov 22 2016, 8:31 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptNov 22 2016, 8:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
mobrovac claimed this task.Nov 23 2016, 3:46 PM
Mvolz moved this task from Backlog to Production on the Citoid board.Dec 15 2016, 9:35 AM
Jdforrester-WMF set the point value for this task to 0.Feb 9 2017, 6:16 PM
mobrovac renamed this task from Update Citoid to service-template-node v0.5.0 to Update Citoid to service-template-node v0.5.4.Dec 15 2017, 5:26 PM
mobrovac triaged this task as Medium priority.
mobrovac edited projects, added Services (doing); removed Services (later).
mobrovac removed a subscriber: Aklapper.

Change 398506 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/citoid@master] Update to service-template-node v0.5.4

https://gerrit.wikimedia.org/r/398506

Change 398506 merged by jenkins-bot:
[mediawiki/services/citoid@master] Update to service-template-node v0.5.4

https://gerrit.wikimedia.org/r/398506

mobrovac moved this task from Production to Waiting on Deploy on the Citoid board.Dec 18 2017, 5:06 PM

Blocked until after the deployment freeze.

Mentioned in SAL (#wikimedia-operations) [2018-01-02T11:27:01Z] <mobrovac@tin> Started deploy [citoid/deploy@ee0bdf4]: Update to service template v0.5.4 - T151394

Mentioned in SAL (#wikimedia-operations) [2018-01-02T11:31:20Z] <mobrovac@tin> Finished deploy [citoid/deploy@ee0bdf4]: Update to service template v0.5.4 - T151394 (duration: 04m 19s)

mobrovac closed this task as Resolved.Jan 2 2018, 11:33 AM
mobrovac edited projects, added Services (done); removed Services (blocked).

Deployed, resolving.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 2 2018, 11:33 AM